@echo off
setlocal

REM プロジェクトのルートディレクトリ
set projectRoot=C:\Users\takot\git\AlgebraicDataflowArchitectureModel3\AlgebraicDataflowArchitectureModel

REM ソースディレクトリと出力ディレクトリの設定
set sourceDir=%projectRoot%\src
set outputDir=%projectRoot%\bin
set libDir=%projectRoot%\lib

REM 出力JARファイルのパス
set outputJar=C:\Users\takot\Documents\lab\dtramserver\DTRAMServer\lib\DTRAM.jar

REM jarコマンドを実行してJARファイルを作成
set jarCommand=jar -cvf "%outputJar%" -C "%outputDir%" .
echo Running: %jarCommand%
%jarCommand%

set JAVA_HOME = C:\pleiades\2023-09\java\17

REM MavenにJARファイルをインストール
set mavenInstall=mvnw install:install-file -Dfile="%outputJar%" -DgroupId=com.dtram -DartifactId=dtram -Dversion=1.0.0 -Dpackaging=jar
echo Running: %mavenInstall%
%mavenInstall%

REM Mavenでパッケージングとクリーンビルド
set mavenBuild=mvnw clean package
echo Running: %mavenBuild%
%mavenBuild%

endlocal
